Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1458580 (php-cilex1) - Review Request: php-cilex1 - PHP micro-framework for Command line tools
Summary: Review Request: php-cilex1 - PHP micro-framework for Command line tools
Keywords:
Status: CLOSED ERRATA
Alias: php-cilex1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: phpdoc_v2_tracking
TreeView+ depends on / blocked
 
Reported: 2017-06-04 14:31 UTC by Shawn Iwinski
Modified: 2017-06-21 02:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 02:35:38 UTC
Type: ---
Embargoed:
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (9.16 KB, text/plain)
2017-06-09 11:13 UTC, Remi Collet
no flags Details
review.txt (8.33 KB, text/plain)
2017-06-09 11:14 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-06-04 14:31:52 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/4bb5729092b4fed7c30046188ec54f30ca1ea9e8/php-cilex1/php-cilex1.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-cilex1-1.1.0-1.fc25.src.rpm

Description:
Cilex provides the means to build anything from small script collections to
complete command line applications.

Cilex aims to be:
* extensible, Cilex leverages Service Providers to add basic functionality,
  such as dealing with configuration files
* easy to use, an application and a series of commands; you don't need anything
  more to get started.
* Testable, Cilex leverages the Dependency Injection Container Pimple and the
  Symfony2 Console Component; which makes it easy to test your application.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-06-09 11:13:33 UTC
Created attachment 1286379 [details]
phpci.log

phpCompatInfo version 5.0.6 DB version 1.21.0 built Jun 09 2017
     07:14:21 CEST static analyze results

Comment 2 Remi Collet 2017-06-09 11:14:02 UTC
Created attachment 1286380 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1458580
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2017-06-09 11:14:44 UTC
[!]: Latest version is packaged.

	cilex 1.1.0 => ok packager choise
	console-service-provider 1.0.0 => ok for consistency (pimple v1 vs v2)

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

	=> please file a upstream bug as even the latest version don't have it

[!]: Final provides and requires are sane (see attachments).

	=> missing php-composer(cilex/console-service-provider)

[!]: Requires correct, justified where necessary.

	=> php-tokenizer not needed
	(only used by Compiler.php which is not packaged)


3rd one is a blocker

Comment 4 Shawn Iwinski 2017-06-11 21:07:42 UTC
(In reply to Remi Collet from comment #3)
> [!]: Latest version is packaged.
> 
> 	cilex 1.1.0 => ok packager choise
> 	console-service-provider 1.0.0 => ok for consistency (pimple v1 vs v2)

FYI: cilex 1.1.0 b/c required by phpdoc v2



> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> 
> 	=> please file a upstream bug as even the latest version don't have it

I did not do this because v1 is an older version of the lib.  v2 does have a license file: https://github.com/Cilex/Cilex/blob/2.0.0/LICENSE



> [!]: Final provides and requires are sane (see attachments).
> 
> 	=> missing php-composer(cilex/console-service-provider)

bundled(php-cilex-console-service-provider) is provided.  Since the lib is bundled, do we really want to provide php-composer(cilex/console-service-provider)?



> [!]: Requires correct, justified where necessary.
> 
> 	=> php-tokenizer not needed
> 	(only used by Compiler.php which is not packaged)

Will remove after initial import if item above (provides) is deemed not necessary or will remove when I do make that change.



> 3rd one is a blocker

Comment 5 Remi Collet 2017-06-12 04:42:07 UTC
(In reply to Shawn Iwinski from comment #4)
> > [!]: If the source package does not include license text(s) as a separate
> >      file from upstream, the packager SHOULD query upstream to include it.
> > 
> > 	=> please file a upstream bug as even the latest version don't have it
> 
> I did not do this because v1 is an older version of the lib.  v2 does have a
> license file: https://github.com/Cilex/Cilex/blob/2.0.0/LICENSE

The LICENSE is missing for cilex/console-service-provider
(even if probably the same that Cilex main package)

> > [!]: Final provides and requires are sane (see attachments).
> > 
> > 	=> missing php-composer(cilex/console-service-provider)
> 
> bundled(php-cilex-console-service-provider) is provided.  Since the lib is
> bundled, do we really want to provide
> php-composer(cilex/console-service-provider)?

Yes, I think this is needed.

Comment 7 Remi Collet 2017-06-12 12:54:10 UTC
[x]: Requires correct, justified where necessary.
[x]: Final provides and requires are sane (see attachments).
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.



=== APPROVED ===

Comment 8 Gwyn Ciesla 2017-06-12 13:17:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-cilex1

Comment 9 Fedora Update System 2017-06-13 16:42:14 UTC
php-cilex1-1.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd2d6b2d32

Comment 10 Fedora Update System 2017-06-15 13:58:17 UTC
php-cilex1-1.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cd2d6b2d32

Comment 11 Fedora Update System 2017-06-21 02:35:38 UTC
php-cilex1-1.1.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.